<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page import="javax.servlet.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.webcontroller.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.exception.ECApplicationException" %>
<%@ page import="com.ibm.commerce.util.*" %>

<% 
String orderRn = request.getParameter("orderId");
boolean cmdsuccess = true;

// the following is required only when the NVPs are encrypted 
if (orderRn == null)
{
	String [] arrorderRn = (String []) request.getAttribute("orderId");
	orderRn = arrorderRn[0];
}


// This JSP demonstrates how to execute more than one commands within a transaction

CommandContext commandContext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);

// modify commandName to AddressAdd command 
commandContext.setCommandName("AddressAdd");
// build requestProperties   
TypedProperty iProperties = commandContext.getRequestProperties();
//execute the AddressAdd command
ControllerCmdExecUnit execUnit = new ControllerCmdExecUnit("AddressAdd",commandContext, iProperties);
try 
{
	execUnit.execute();
	// retrieve the address_id that was just created 
	TypedProperty oProperties = execUnit.getResponseProperties();
	String address_id = (String) oProperties.get("addressId");
	
	// execute another controller command OrderCopy to update billing address to order
	commandContext.setCommandName("OrderCopy");
	// construct iProperties with the appropriate info
	iProperties = commandContext.getRequestProperties();
	iProperties.putUrlParam("toOrderId", orderRn );
	iProperties.putUrlParam("billingAddressId", address_id );
	execUnit = new ControllerCmdExecUnit("OrderCopy",commandContext,iProperties);
	execUnit.execute();
	
	
	//execute the respUnit to redirect the another JSP page
	ExecutableUnit respUnit = execUnit.getResponseExecUnit();
	respUnit.execute();
}
catch (ECApplicationException e) 
{
	ExecutableUnit errorExecUnit = execUnit.getErrorExecUnit(e);
	errorExecUnit.execute();
}
%>
