<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>

<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}

%>
<% // END code from Get Resource JSP page.**************************************************************** %>
<% response.setContentType("text/html; charset=ISO_8859-1"); %> 
<%
//UserRegistrationDataBean is used to check if the user is registered.
UserRegistrationDataBean userRegistrationDataBean = 
	new UserRegistrationDataBean();
com.ibm.commerce.beans.DataBeanManager.activate(
	userRegistrationDataBean, request);
String userType = userRegistrationDataBean.getRegisterType().trim();

boolean isError = false;
String[] strArrayAuth = (String [])request.getAttribute(ECConstants.EC_ERROR_CODE);
if (strArrayAuth != null) isError = true;

String incfile = null;
//Parameters may be encrypted. Use JSPHelper to get
//URL parameter instead of request.getParameter().
JSPHelper jhelper = new JSPHelper(request);

String state = jhelper.getParameter("page");

/*
 * Check if the customer is registered or not.
 * If registered, the user will go straight 
 * to the account management page.
 * Otherwise, user will be asked to login.
 */

if (state != null && state.equals("sidebar"))
{ 
	incfile = "/" + storeDir + "/myaccount.jsp";
} 
else if (userType.equalsIgnoreCase("G"))
{ 
	incfile = "/" + storeDir + "/myaccount.jsp";
} 
else 
{
	/* if there is an error, this means that a registered shopper tried to 
	 * logon as another user and logon fails.  In this case, myaccount.jsp is displayed.
	 */
	if (isError)
		incfile = "/" + storeDir + "/myaccount.jsp";
	else
		incfile = "/" + storeDir + "/account.jsp";
}

%>

<jsp:include page="<%=incfile%>"/>
