<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.command.CommandContext" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="java.math.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.payment.beans.*" %>
<%@ page import="com.ibm.etill.framework.clientapi.PaymentCommandConstants" %>
<%@ page import="com.ibm.commerce.ras.*" %>
<%@ page import="com.ibm.commerce.exception.*"  %>


<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}%>
<% // END code from Get Resource JSP page.**************************************************************** %>
<% response.setContentType("text/html; charset=ISO_8859-1"); %> 
<%
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");
String orderRn = request.getParameter("orderId");


if (storeId == null)
{
	String [] arrStoreId = (String []) request.getAttribute("storeId");
	if (arrStoreId != null) storeId = arrStoreId[0];
}
if (languageId == null)
{
	String [] arrlanguageId = (String []) request.getAttribute("langId");
	if (arrlanguageId != null) languageId = arrlanguageId[0];
}
if (catalogId == null)
{
	String [] arrcatalogId = (String []) request.getAttribute("catalogId");
	if (arrcatalogId != null) catalogId = arrcatalogId[0];
}
if (orderRn == null)
{
	String [] arrorderRn = (String []) request.getAttribute("orderId");
	if (arrorderRn != null) orderRn = arrorderRn[0];
}
String [] strOrderRn = (String[])request.getAttribute (ECConstants.EC_ORDER_RN);

%>
<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">
<head><title>Pay Status</title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>
<table cellpadding="2" cellspacing="0" width="580" border="0" align="center">
  <tr>
	<td width="10" rowspan="10">&nbsp;
	</td>
	<td align="left" valign="top" colspan="3" class="categoryspace">
	  <font class="category">Order confirmation</font>
	  <hr width="580" noshade align="left">
	</td>
</tr>
<tr>
	<td align="left" valign="top" width="580" class="topspace">
<jsp:useBean id="payStatus" class="com.ibm.commerce.payment.beans.PayStatusPMDataBean" scope="page">
<% com.ibm.commerce.beans.DataBeanManager.activate(payStatus, request); %>
</jsp:useBean>

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
<% 
orderBean.setOrderId(strOrderRn[0]);   
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request); 
%>
</jsp:useBean>

<%
	String store_Id       = payStatus.getStoreId();
	String orderId        = payStatus.getOrderId();
	String etOrderState   = payStatus.getOrderState();
	String etPaymentState = payStatus.getPaymentState();
	String ncOrderStatus  = payStatus.getOrderStatus();
	String StatusMessage = "";

%>

    <% if ( ncOrderStatus.equals("") )
       { 
    
          StatusMessage = "No information is available for this order.";
       } 
       else if ( payStatus.getPrimaryRC() != 0 )
       { 
    
          StatusMessage = "Thank you for shopping at our store. Visit us again soon.";
       } 
       else if ( etOrderState.equals( PaymentCommandConstants.ORDERSTATE_REFUNDABLE ) 
              || etOrderState.equals( PaymentCommandConstants.ORDERSTATE_CLOSED ) )
       { 
          StatusMessage = "Your card was successfully authorized. Thank you for shopping at Demomall.";
       } 
       else if ( etOrderState.equals( PaymentCommandConstants.ORDERSTATE_PENDING ) 
                   || etPaymentState.equals( PaymentCommandConstants.PAYMENTSTATE_PENDING ) )
       { 
    
          StatusMessage = "Your order has been received and is being processed. Thank you for shopping at Demomall.";
       } 
       else if ( etOrderState.equals( PaymentCommandConstants.ORDERSTATE_ORDERED ) 
                   && ( etPaymentState.equals( PaymentCommandConstants.PAYMENTSTATE_RESET )
                        || etPaymentState.equals("")  ) )
       { 
          StatusMessage = "Your order has been received and is being processed. Thank you for shopping at Demomall.";
       } 
       else if ( etPaymentState.equals( PaymentCommandConstants.PAYMENTSTATE_APPROVED ) 
                   || etPaymentState.equals( PaymentCommandConstants.PAYMENTSTATE_DEPOSITED ) 
                   || etPaymentState.equals( PaymentCommandConstants.PAYMENTSTATE_CLOSED ) )
       { 
    
          StatusMessage = "Thank you for shopping at our store. Visit us again soon.";
       } 
       else if ( etOrderState.equals( PaymentCommandConstants.ORDERSTATE_ORDERED ) 
                   && etPaymentState.equals( PaymentCommandConstants.PAYMENTSTATE_DECLINED ) )
       { 
        StatusMessage = "We're sorry, your card was not accepted. Please retry your order with another card.";
       } 
       else if ( etOrderState.equals( PaymentCommandConstants.ORDERSTATE_REJECTED ) )
       { 
        StatusMessage = "We were unable to complete your request due to technical problems. Reactivate the order and try again.  Sorry for the inconvenience.";
       } 
       else if ( ncOrderStatus.equals("X") )
       { 
		  StatusMessage = "Your order has been cancelled due to system action. Thank you for shopping at our store.";
       } else {
    	  StatusMessage = "Thank you for shopping at Demomall. Visit us again soon.";            
       } 
%>
<font class="product"><%=StatusMessage%><P></font>
<table cellpadding="2" cellspacing="2" border="0" width="370">
	<tr>
		<td align="left" valign="middle">
		  <font class="product">Order</font>
		</td>
		<td align="right" valign="middle">
		  <font class="strongtext"><%=strOrderRn[0]%></font>
		</td>
	</tr>
	<tr>
		<td align="left" valign="middle">
		  <font class="product">Subtotal:</font>
		</td>
		<td align="right" valign="middle">
		  <font class="text"><%= orderBean.getFormattedTotalProductPrice() %></font>
		</td>
	</tr>
	<tr>
		<td align="left" valign="middle">
		  <font class="product">Total Tax:</font>
		</td>
		<td align="right" valign="middle">
		  <font class="text"><%= orderBean.getFormattedTotalTax() %></font>
		</td>
	</tr>
	<tr>
		<td align="left" valign="middle">
		  <font class="product">Shipping:</font>
		</td>
		<td align="right" valign="middle">
		  <font class="text"><%= orderBean.getFormattedTotalShippingCharge() %></font>
		</td>
	</tr>
<%
//Display discount amount.
if (orderBean.getTotalAdjustmentInEJBType().doubleValue() <= -0.01)
{
%>
	<tr>
		<td align="left" valign="middle">
		  <font class="product">Discount:&nbsp;</font>
		</td>
		<td align="right" valign="middle">
		  <font class="text"><%= orderBean.getFormattedTotalAdjustment() %></font>
		</td>
	</tr>
<%
}
%>
	<tr>
		<td align="left" valign="middle">
			<font class="product">Grand Total</font>
		</td>
		<td align="right" valign="middle">
			<font class="strongtext"><%=orderBean.getGrandTotal()%></font>
		</td>
	</tr>
	</table>
	<br><br>
    <font class="text">Please retain the above information as reference to your order.</font><br>
    <font class="product">Thanks for Shopping with us!</font>
  </td>
</tr>
</table>
</body>
</html>


