<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.order.utils.*"   %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

<!-- Data from getResourcePage.jsp -------------------------------------------------------------->
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<!-- Data from getResourcePage.jsp -------------------------------------------------------------->

<%
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");

CommandContext commandContext = (CommandContext)
	request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Long userRefNum = commandContext.getUserId();

//Parameters may be encrypted.
if (catalogId == null)
	catalogId = ((String[]) request.getAttribute("catalogId"))[0];
if (languageId == null)
	languageId = ((String[]) request.getAttribute("langId"))[0];
if (storeId == null)
	storeId = ((String[]) request.getAttribute("storeId"))[0];
%>

<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<head><title>Empty Shopping cart</title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>
<td width="600" rowspan="6" valign="top"> 
  <!--MAIN CONTENT STARTS HERE-->
  <table cellpadding="2" cellspacing="0" width="580" border="0" align="center">
    <tr>

<td width="10" rowspan="20">&nbsp;</td>
<tr>
      <td>
        <div align="center"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><b><br>
          Your cart is empty!</b></font></div>
      </td>
    </tr>
<tr>
      <td align="left" colspan="5" valign="middle" class="categoryspace"> <br>
        <table cellpadding="3" cellspacing="0" border="0" align="center" width="191">
          <tr>
		    <td align="left" valign="middle" nowrap> 
              <div align="center"><A href="StoreCatalogDisplay?storeId=<%=storeId%>&langId=<%=languageId%>&catalogId=<%=catalogId%>"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><b>Return 
                to shopping</b></font></a> </div>
            </td>
	</tr>
</table><br><br>
</td>

</tr></table>
</td>
</body>

</html>



