<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<% // END code from Get Resource JSP page.**************************************************************** %>
<% response.setContentType("text/html; charset=ISO_8859-1"); %> 

<%

String storeId = request.getParameter("storeId");
String catalogId = request.getParameter("catalogId");
String categoryId = request.getParameter("categoryId");
String languageId = request.getParameter("langId");


%>

<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<head><title>New Arrivals!</title>
<link rel=stylesheet href="<%=storeDir%>/fashionfair.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>
<!--MAIN CONTENT STARTS HERE-->

<jsp:useBean id="category" class="com.ibm.commerce.catalog.beans.CategoryDataBean" scope="page">
<%com.ibm.commerce.beans.DataBeanManager.activate(category, request); %>
</jsp:useBean>

<%
ProductDataBean products[];
CategoryDataBean subCategories[];

products = category.getProducts();
%>

<table cellpadding="2" cellspacing="0" width="580" border="0" align="center">
  <tr>

<td width="10" rowspan="10">&nbsp;</td>

<td align="left" valign="top" class="categoryspace">
<font class="category"><%=category.getDescription().getShortDescription()%></font>
<hr width="580" noshade align="left">
</td>
</tr>

<%
ProductDataBean product;

for (int i = 0; i < products.length; ++i)
{
	product = products[i];
%>
<tr>
	<td align="left" valign="top" width="580" class="categoryspace"> <a href="ProductDisplay?catalogId=<%=catalogId%>&storeId=<%=storeId%>&productId=<%=product.getProductID()%>&langId=<%=languageId%>&parent_category_rn=<%=categoryId%>"> 
      <img src="<%=storeDir%>/<%=product.getDescription().getThumbNail() %>" alt="<%=product.getDescription().getShortDescription()%>" hspace="5" width="50" height="50" border="0" align="left"/> 
      </a> <font class="product"> <a href="ProductDisplay?catalogId=<%=catalogId%>&storeId=<%=storeId%>&productId=<%=product.getProductID()%>&langId=<%=languageId%>&parent_category_rn=<%=categoryId%>"><%=product.getDescription().getShortDescription()%></a> 
      </font>&nbsp; <font class="price"><%=product.getCalculatedPrice()%></font><br>
      <font class="text"><%=product.getDescription().getLongDescription()%></font><br>
	</td>
</tr>
<%
}
%>
</table>
</body>
</html>


