<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.usermanagement.commands.ECUserConstants" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<% // END code from Get Resource JSP page.**************************************************************** %>

<%

String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");
String orderRn = request.getParameter("orderId");

// the following is required only when the NVPs are encrypted 

if (storeId == null)
{
	String [] arrstoreId = (String []) request.getAttribute("storeId");
	if (arrstoreId != null) storeId = arrstoreId[0];
}
if (languageId == null)
{
	String [] arrlanguageId = (String []) request.getAttribute("langId");
	if (arrlanguageId != null) languageId = arrlanguageId[0];
}
if (catalogId == null)
{
	String [] arrcatalogId = (String []) request.getAttribute("catalogId");
	if (arrcatalogId != null) catalogId = arrcatalogId[0];
}
if (orderRn == null)
{
	String [] arrorderRn = (String []) request.getAttribute("orderId");
	if (arrorderRn != null) orderRn = arrorderRn[0];
}

//Get the user reference number.
CommandContext commandContext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Long userRef = commandContext.getUserId();

//Find all the addresses.
AddressAccessBean abAddressFinder = new AddressAccessBean();
Enumeration enAddressList = abAddressFinder.findByMemberId(userRef);
%>
<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<SCRIPT language="javascript">
function prepareSubmit(form)
{
	var currenttime = new Date();
	var timestamp = currenttime.getTime();
	form.nickName.value = '<%=userRef%>_'+timestamp;
	form.submit();
}
</SCRIPT>

<head><title>Shipping address</title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>
<!--MAIN CONTENT STARTS HERE-->


<table cellpadding="2" cellspacing="0" border="0" align="center">
  <tr>
<td width="10" rowspan="10">&nbsp;</td>
<td align="left" valign="top" colspan="3" class="categoryspace">
<table cellpadding="0" cellspacing="0" border="0" width="580">
<tr>
<td align="left" valign="top">

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
<% 
orderBean.setOrderId(orderRn);
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request); 
%>
</jsp:useBean>

<%
//Get the order line items.
OrderItemAccessBean [] orderItems = orderBean.getOrderItems();

if(orderItems == null || orderItems.length == 0)
{
	//This should not happen. Check for empty cart is already done in
	//OrderItemDisplay.jsp

	return;
}
%>
			<font class="category">Checkout</font> <br><font class="productname">Choose your shipping address</font>
		</td>
		<td align="right" valign="bottom">&nbsp;
			
		</td>
	</tr>
</table>
<hr width="580" noshade align="left">
<table cellpadding="4" cellspacing="0" border="0">
	<tr>
		<td align="center" valign="middle"> 
			<a href="AddressForm?catalogId=<%=catalogId%>&orderId=<%=orderRn%>&page=shipaddress&storeId=<%= storeId %>&langId=<%=languageId%>">
				<font class="strongtext">Create a new address</font>
			</a>
		</td>
	</tr>
</table>
</td>
</tr>
<Form NAME="ShipAddressForm" METHOD="POST" action="<%="OrderItemUpdate"%>">
<input type=hidden name="orderId" value="<%= orderRn %>">
<input type=hidden name="storeId" value="<%= storeId %>">
<input type=hidden name="langId" value="<%= languageId %>">
<input type=hidden name="catalogId" value="<%= catalogId %>">
<input type=hidden name="page" value="shipmethod">
<input type=hidden name="URL" value="OrderItemDisplay">

<%
//We have a single shipping address for all order items. So just pick it
//from the first order item.
String shipaddressId = orderItems[0].getAddressId().trim();
boolean shipaddr_applied = false;
AddressAccessBean addr;
String selection = "";
Vector vecShippingAddress = new Vector();
	
while (enAddressList.hasMoreElements())
{
	addr = (AddressAccessBean) enAddressList.nextElement();
	
	// exclude the primary data in address table for the registered user
	// for the primary data, Address1 is equal to '-'
	if (addr.getAddress1()!=null && !addr.getAddress1().equals("-"))
		  vecShippingAddress.addElement(addr);
}

for (int k = 0; k < vecShippingAddress.size(); k ++) 
{
	addr = (AddressAccessBean) vecShippingAddress.elementAt(k);
	String strFirstName = addr.getFirstName();
	String strLastName = addr.getLastName();
	String strAddress1 = addr.getAddress1();
	String strAddress2 = addr.getAddress2();
	String strCity = addr.getCity();
	String strState = addr.getState();
	String strCountry = addr.getCountry();
	String strZipCode = addr.getZipCode();
	String strPhone1= addr.getPhone1();
	
	if (strFirstName == null) strFirstName = "";
	if (strAddress2 == null) strAddress2 = "";
	if (strState == null) strState = "";
	if (strPhone1 == null) strPhone1 = "";
	//Automatically select the shipping address last selected for
	//this order.
	if (addr.getAddressId().equals(shipaddressId))
	{
		selection = "checked";
		shipaddr_applied = true;
	}
	else 
	{
		selection = "";
	}

	//If this is the last address and shipping address wasn't selected
	//before, select the last address as default.
	if ( (k == (vecShippingAddress.size()-1)) && shipaddr_applied == false)
	{
		selection = "checked";
	}
%>
<tr>
	<td align="left" valign="top" class="topspace">
		<INPUT TYPE="Radio" NAME="addressId" VALUE="<%= addr.getAddressId()%>" <%=selection%>>
	</td>
	<td align="left" valign="top" width="280" class="topspace">
		<font class="product">
		<%=strFirstName%> <%=strLastName%></font><br>
		<font class="address">
		<%=strAddress1%>&nbsp;<%=strAddress2%><br>
		<%=strCity%>&nbsp;<%=strState%>&nbsp;<%=strZipCode%><BR>
		<%=strCountry%>&nbsp;<BR>
		<%=strPhone1%></font><br>
		<hr width="260" align="left">
	</td>
</tr>
<%
}
%>
<tr>
<td align="left" valign="top" colspan="2" class="topspace">
<br>
<table cellpadding="4" cellspacing="0" border="0">
	<tr>
		<td align="center" valign="middle"> 
			<a href="OrderItemDisplay?storeId=<%=storeId%>&page=billingaddress&langId=<%=languageId%>&catalogId=<%=catalogId%>" > 
		  		<font class="strongtext">Last</font>
			</a>
		</td>
		<td width="2">
			<font class="strongtext">&nbsp;</font>
		</td>
		<td align="center" valign="middle"> 
			<a href="javascript:document.ShipAddressForm.submit()"> 
				<font class="strongtext">Next</font>
			</a>
		</td>
	</tr>
</table>
</form>
</table>
</body>
</html>
