<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page import="javax.servlet.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.webcontroller.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
  
<% 
// This JSP demonstrates how to execute more than one command within a transaction

CommandContext commandContext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);

// execute controller command OrderItemUpdate
commandContext.setCommandName("OrderItemUpdate");
// construct iProperties with the appropriate info
TypedProperty iProperties = commandContext.getRequestProperties();
  
ControllerCmdExecUnit execUnit = new ControllerCmdExecUnit("OrderItemUpdate",commandContext,iProperties);
execUnit.execute();
  
// execute another controller command OrderPrepare
commandContext.setCommandName("OrderPrepare");
execUnit = new ControllerCmdExecUnit("OrderPrepare", commandContext, iProperties);
execUnit.execute();
  
//execute the respUnit to redirect the other JSP page
ExecutableUnit respUnit = execUnit.getResponseExecUnit();
respUnit.execute();
  

%>


