<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.command.CommandContext" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="java.math.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.fulfillment.objects.*" %>
<%@ page import="com.ibm.commerce.payment.beans.*" %>

<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<% // END code from Get Resource JSP page.**************************************************************** %>

<% response.setContentType("text/html; charset=ISO_8859-1"); %> 

<%
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");
String orderRn = request.getParameter("orderId");


if (storeId == null)
{
	String [] arrstoreId = (String []) request.getAttribute("storeId");
	if (arrstoreId != null) storeId = arrstoreId[0];
}
if (languageId == null)
{
	String [] arrlanguageId = (String []) request.getAttribute("langId");
	if (arrlanguageId != null) languageId = arrlanguageId[0];
}
if (catalogId == null)
{
	String [] arrcatalogId = (String []) request.getAttribute("catalogId");
	if (arrcatalogId != null) catalogId = arrcatalogId[0];
}
if (orderRn == null)
{
	String [] arrorderRn = (String []) request.getAttribute("orderId");
	if (arrorderRn != null) orderRn = arrorderRn[0];
}

%>

<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<head><title>Order Summary</title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>
<!--MAIN CONTENT STARTS HERE-->

<table cellpadding="2" cellspacing="0" width="580" border="0" align="center">
  <tr>
	  <td width="10" rowspan="28">&nbsp;</td>
	  <td align="left" valign="top" colspan="4" class="categoryspace" width="580">
		<table cellpadding="0" cellspacing="0" border="0" width="580">
		  <tr>
		 	<td align="left" valign="top">
				<font class="category">Checkout &nbsp;</font> <br><font class="productname">4. Order summary</font>
			</td>
			<td align="right" valign="bottom">
				<font class="price">Step 4 of 4</font>
			</td>
		  </tr>
		</table>
<%
ErrorDataBean errorBean = new ErrorDataBean ();

com.ibm.commerce.beans.DataBeanManager.activate (errorBean, request);
TypedProperty errProp = errorBean.getExceptionData();

String StatusMessage = "";
if (errProp != null)
{    
	String errCode  = errProp.getString( ECConstants.EC_ERROR_CODE, "" );
	String buyerMsg = errProp.getString( "MessageForBuyer"        , "" );
	if ( errCode.equals("190") ) {
		StatusMessage = "Type the credit card number in the Credit card field.";
	} else if ( errCode.equals("1007") && buyerMsg.length() > 0 ) {
		StatusMessage = buyerMsg;
	} else if ( errCode.equals("1007") ) {
		StatusMessage = "A system problem occurred while processing your order.";
	} else if ( errCode.equals("1005") ) {
		StatusMessage = "A system problem occurred while processing your order.";
	} else if ( errCode.equals("1006") ) {
		StatusMessage = "The expiration date has passed try a different Credit Card.";
	} else {
		StatusMessage = "An error occurred while processing payment";
	}
}
%>
<hr width="580" noshade align="left">
<%
if (!StatusMessage.equals(""))
{
%>
<p><font color="red"><%=StatusMessage%></font><br>
<P>
<% 
}
%>
<font class="required">*</font><font class="text">= required fields </font>
</td>
</tr>
<tr>
    <td align="left" valign="top"> <font class="strongtext">Qty</font></td>

    <td align="left" valign="top"> <font class="strongtext">Item</font></td>

    <td align="right" valign="top"> <font class="strongtext">Each</font></td>

    <td align="right" valign="top"> <font class="strongtext">Total</font></td>
</tr>

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
<%
orderBean.setOrderId(orderRn);   
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
%>
</jsp:useBean>

<%
	OrderItemDataBean[] orderItemDataBean = orderBean.getOrderItemDataBeans();
	//All items get shipped to one address. So just get it from
	//the first line item
	String shipmodeId = orderItemDataBean[0].getShippingModeId().trim();
	String shippingMethodName =null;
	ShippingModeDescriptionAccessBean shipmodeDsc = new ShippingModeDescriptionAccessBean();

	shipmodeDsc.setInitKey_shipModeId(shipmodeId);
	shipmodeDsc.setInitKey_languageId(languageId);
	shippingMethodName = shipmodeDsc.getDescription();

for(int j = 0; j < orderItemDataBean.length; j++) 
{
%>

<tr>
<td align="left" valign="top">
<font class="text"><%= orderItemDataBean[j].getQuantityInEJBType().intValue() %></font></td>

<td align="left" valign="middle">
<font class="text">
<%= orderItemDataBean[j].getCatalogEntry().getDescription(new Integer(languageId)).getShortDescription()%>
<br>
<%=orderItemDataBean[j].getCatalogEntry().getDescription(new Integer(languageId)).getAuxDescription1()%>
</font></td>

<td align="right" valign="middle">
<font class="text"><%= orderItemDataBean[j].getPriceDataBean() %></font></td>

<td align="right" valign="middle">
<font class="text"><%=orderItemDataBean[j].getFormattedTotalProduct()%></font></td>
</tr>

<%
}
%>

<tr>
<td align="right" colspan="3" valign="middle">
<font class="strongtext">Subtotal:&nbsp;</font></td>
<td align="right" valign="middle">
<font class="strongtext" align="right"><%= orderBean.getFormattedTotalProductPrice() %></font></td>
</tr>
<%
//Display discount amount.
if (orderBean.getTotalAdjustmentInEJBType().doubleValue() <= -0.01)
{
%>
<tr>
<td align="right" colspan="3" valign="middle">
<font class="strongtext">Discount:&nbsp;</font></td>
<td align="right" valign="middle">
<font class="strongtext" align="right"><%= orderBean.getFormattedTotalAdjustment() %></font></td>
</tr>
<%
}
%>
<tr>
<td align="right" colspan="3" valign="middle">
<font class="strongtext">Tax:&nbsp;</font></td>
<td align="right" valign="middle">
<font class="strongtext" align="right"><%= orderBean.getFormattedTotalTax() %></font></td>
</tr>

<tr>
<td align="right" colspan="3" valign="middle">
<font class="strongtext">Shipping</font><font class="text"> - <%=  shippingMethodName%>&nbsp;</font></td>
<td align="right" valign="middle">
<font class="strongtext" align="right"><%= orderBean.getFormattedTotalShippingCharge() %></font></td>
</tr>
<%
//Display shipping tax.
if (orderBean.getTotalShippingTaxInEJBType().doubleValue() > 0)
{
%>
<tr>
<td align="right" colspan="3" valign="middle">
<font class="strongtext">Shipping Tax:</font></td>
<td align="right" valign="middle">
<font class="strongtext" align="right"><%= orderBean.getFormattedTotalShippingTax() %></font></td>
</tr>
<%
}
%>

<tr>
<td align="right" colspan="3" valign="middle">
<font class="subtotal">Grand Total:&nbsp;</font><p></td>
<td align="right" valign="middle">
<font class="subtotal" align="right"><%=orderBean.getGrandTotal()%></font><p></td>

</tr><tr>

    <td align="left" colspan="4"> <font class="strongtext">Shipping Address<br>
      </font> 
      <hr width="580" noshade align="left">
    </td>

</tr><tr>

<%
String shipaddress_id = orderItemDataBean[0].getAddressId();
String strFirstName = "";
String strLastName = "";
String strAddrLn1 = "";
String strAddrLn2 = "";
String strCity = "";
String strState = "";
String strZipCode ="";
String strCountry = "";
String strDayPhone = "";

if (shipaddress_id !=null || shipaddress_id.trim().length() != 0) {
%>

<jsp:useBean id="bnAddressDisplay" class="com.ibm.commerce.user.beans.AddressDataBean" scope="page">
<%
bnAddressDisplay.setAddressId(shipaddress_id);
com.ibm.commerce.beans.DataBeanManager.activate(bnAddressDisplay, request);
%>
</jsp:useBean>

<%
	strLastName = bnAddressDisplay.getLastName();
	strFirstName = bnAddressDisplay.getFirstName();
	strAddrLn1 = bnAddressDisplay.getAddress1();
	strAddrLn2 = bnAddressDisplay.getAddress2();
	strCity = bnAddressDisplay.getCity();
	strState = bnAddressDisplay.getState();
	strZipCode = bnAddressDisplay.getZipCode();
	strCountry = bnAddressDisplay.getCountry();
	strDayPhone = bnAddressDisplay.getPhone1();
	if (strFirstName == null) strFirstName = "";
	if (strAddrLn2 == null) strAddrLn2 = "";
	if (strState == null) strState = "";
	if (strDayPhone == null) strDayPhone = "";
}	
%>

<td align="left" colspan="4" valign="top" class="topspace">
<font class="text">
	<%=strFirstName%>&nbsp;<%=strLastName%><br>
	<%=strAddrLn1%><br>
<% if (strAddrLn2 != "")
{
%>
	<%=strAddrLn2%>
	<br>
<%
}
%>
	<%=strCity%>&nbsp;<%=strState%>&nbsp;<%=strZipCode%><br>
	<%=strCountry%><p>
</font>
</td>

</tr><tr>

    <td align="left" colspan="4"> <font class="strongtext">Credit Card information</font>
      <hr width="580" noshade align="left">
    </td>

</tr><tr>

<td align="left" colspan="4" valign="top" class="topspace">

<table cellpadding="0" cellspacing="0" border="0">

<jsp:useBean id="profileCassetteInfo" class="com.ibm.commerce.payment.beans.ProfileCassetteAccountDataBean" scope="page" >
</jsp:useBean>
<%  
com.ibm.commerce.beans.DataBeanManager.activate(profileCassetteInfo, request);
MerchantAccountInfo[] acctInfo = profileCassetteInfo.getMerchantAccountInfo();
%>

<jsp:useBean id="storedb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="page">
<% com.ibm.commerce.beans.DataBeanManager.activate(storedb, request); %>
</jsp:useBean>

<form Name=CardInfo METHOD=Post action="<%="OrderProcess"%>">
<!-- 
Payment method id is hard coded to 200 - Offline Card.
If you use any other mode of payment (like CyberCash), change the id
below. Also if the mode is charge card type, change the code that 
displays all available brands.
-->
<input type=hidden name="<%= ECConstants.EC_PAYMTHDID %>" value="200">
<input type=hidden name="orderId" value="<%= orderBean.getOrderId()%>">
<input type=hidden name="storeId" value="<%= storeId %>">
<input type=hidden name="langId" value="<%= languageId %>">
<input type=hidden name="catalogId" value="<%= catalogId %>">

<tr>
<td align="left" valign="middle">
<font class="required">*</font><font class="strongtext">Credit card type:</font></td>
<td align="left" valign="middle">
            <select name="cardBrand" size="1" >
              <%
//Get the currency currently in use.
String currentCurrency = storedb.getCurrency(cmdcontext.getLanguageId()).trim();

//Display brands for OfflineCard and for the currency presently
//being used.
for (int i = 0; i < acctInfo.length; ++i) 
{
	if (acctInfo[i].getCassetteName().trim().equals("OfflineCard") && 
		acctInfo[i].getCurrencyCode().trim().equals(currentCurrency))
	{
%>
              <option value="<%=acctInfo[i].getBrand()%>"><%=acctInfo[i].getBrand()%></option>
<%
	}
}
%>
</select></td>

<td rowspan="4" width="5"><font class="text">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</font></td>


          <td rowspan="4" align="right" valign="top">&nbsp; </td>
</tr>

<tr>
<td align="left" valign="middle">
<font class="required">*</font><font class="strongtext">Card number:</font></td>
<td align="left" valign="middle">
<input type="text" size="20" name="cardNumber"></td>
</tr>

<tr>
<td align="left" valign="middle">
<font class="required">*</font><font class="strongtext">Expiration month</font></td>
<td align="left" valign="middle">
<select name="cardExpiryMonth" size=1>
	 <option value="01">01</option>
	 <option value="02">02</option>
	 <option value="03">03</option>
	 <option value="04">04</option>
	 <option value="05">05</option>
	 <option value="06">06</option>
	 <option value="07">07</option>
	 <option value="08">08</option>
	 <option value="09">09</option>
	 <option value="10">10</option>
	 <option value="11">11</option>
	 <option selected value="12">12</option>
	</select></td>
</tr>

<tr>
<td align="left" valign="middle">
<font class="required">*</font><font class="strongtext">Expiration year:</font></td>
<td align="left" valign="middle">
<select name="cardExpiryYear" size=1>
	 <option selected value="2001">2001</option>
	 <option value="2002">2002</option>
	 <option value="2003">2003</option>
	 <option value="2004">2004</option>
	 <option value="2005">2005</option>
	 <option value="2006">2006</option>
	 </select></td>
</tr>

</table><p>

</form>

</td>

</tr>

<tr>

<td align="left" colspan="4" valign="middle" class="categoryspace">
<table cellpadding="4" cellspacing="0" border="0">
<tr>
          <td align="center" valign="middle"> <A href="OrderItemDisplay?page=shipmethod&storeId=<%=storeId%>&catalogId=<%=catalogId%>&langId=<%=languageId%>"><font class="strongtext">&lt; 
            Last Step</font></a></td>
<td width="2"><font class="strongtext">&nbsp;</font></td>
          <td align="center" valign="middle" nowrap> <A href="javascript:document.CardInfo.submit()"><font class="strongtext">Complete 
            your order</font></a></td>

</tr></table><br><br>
</td>

</tr></table>
</body>
</html>


