<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.order.utils.*"   %>

<!-- Data from getResourcePage.jsp -------------------------------------------------------------->
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<!-- Data from getResourcePage.jsp -------------------------------------------------------------->

<% response.setContentType("text/html; charset=ISO_8859-1"); %> 

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
</jsp:useBean>

<%
String incfile = null;

String state = request.getParameter("page");
String file = null;

if (state == null)
{
	String [] arrstate = (String []) request.getAttribute("page");
	if (arrstate != null) 
		state = arrstate[0];
}

//Retrieve shopping cart
boolean bHasShopCart = false;
TypedProperty requestProperty = (TypedProperty) request.getAttribute(ECConstants.EC_REQUESTPROPERTIES);    	
String [] orderRefNum = (String[]) requestProperty.get(OrderConstants.EC_ORDER_ID, null);
OrderItemAccessBean orderItem;
OrderItemAccessBean [] orderItems = null;

if (orderRefNum != null && orderRefNum.length > 0) 
{
	orderBean.setOrderId(orderRefNum[0]);
	com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
	orderItems = orderBean.getOrderItems();
	if (orderItems.length > 0)
		bHasShopCart = true;
}

if (!bHasShopCart)
{
	incfile = "/" + storeDir + "/emptyshopcart.jsp";
}
else if (state == null || state.length() == 0)
{
	incfile = "/" + storeDir + "/shoppingcart.jsp";
}
else if (state.equals("shipaddress") || state.equals("newshipaddress") )
{
	incfile = "/" + storeDir + "/shipaddress.jsp";

}
else if (state.equals("shipmethod"))
{
	incfile = "/" + storeDir + "/shipping.jsp";
}
else if (state.equals("billingaddress"))
{
	incfile = "/" + storeDir + "/billingaddress.jsp";
}

%>

<jsp:include page="<%=incfile%>"/>

