<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>

<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<% // END code from Get Resource JSP page.**************************************************************** %>
<% response.setContentType("text/html; charset=ISO_8859-1"); %> 

<%

// JSPHelper provides you with a easy way to retrieve 
//		URL parameters when they are encrypted
JSPHelper jhelper = new JSPHelper(request);

String catalogId = jhelper.getParameter("catalogId");
String languageId = jhelper.getParameter("langId");
String storeId = jhelper.getParameter("storeId");
String parentCategoryId = jhelper.getParameter("parent_category_rn");
String productId = jhelper.getParameter("productId");

ProductDataBean product = new ProductDataBean();
product.setProductID(productId);
com.ibm.commerce.beans.DataBeanManager.activate(product, request);
com.ibm.commerce.catalog.objects.AttributeAccessBean attributes[] = product.getAttributes(); 
com.ibm.commerce.catalog.objects.AttributeAccessBean attribute;

CategoryDataBean parentCategory = null;

if (parentCategoryId != null)
{
	parentCategory = new CategoryDataBean ();
	parentCategory.setCategoryId(parentCategoryId);	
	parentCategory.setCatalogId(catalogId);
	com.ibm.commerce.beans.DataBeanManager.activate(parentCategory, request);
}
%>
<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">
<head><title>Product:<%=product.getDescription().getShortDescription()%></title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>
<table cellpadding="2" cellspacing="0" width="580" border="0" align="center">
  <tr>
<td width="10" rowspan="10">&nbsp;</td>


<td align="left" valign="top" class="categoryspace" width="580" colspan="2">
<%
if (parentCategoryId != null)
{
%>
<font class="category"><%=parentCategory.getDescription().getShortDescription()%> : </font> <font class="productname"><%=product.getDescription().getShortDescription()%></font>
<%
}
else 
{
%>
<font class="productname"><%=product.getDescription().getShortDescription()%></font>
<%}%>
<hr width="580" noshade align="left"></td>

</tr><tr>

<td align="left" valign="top">
<img src="<%=storeDir%>/<%=product.getDescription().getFullImage()%>" alt="" width="150" height="150" hspace="8" border="0">
</td>

<td align="left" valign="top" class="categoryspace">
<font class="product"><%=product.getDescription().getShortDescription()%></font><br>
<font class="price"><%=product.getCalculatedPrice()%></font><br><br>
<font class="text">
<%=product.getDescription().getLongDescription()%>
</font><br><br><br>

<FORM NAME="OrderItemAddForm" ACTION="<%="OrderItemAdd"%>" Method=get>
<input type="hidden" name="storeId" value="<%= storeId %>">
<input type="hidden" name="langId" value="<%= languageId %>">
<input type="hidden" name="catalogId" value="<%= catalogId %>">
<input type="hidden" name="URL" value="OrderItemDisplay">
<input type="hidden" name="catEntryId" value="<%= productId %>">
<input type="hidden" name="quantity" value="1">

<!-- Display product attributes !-->
<%
for (int i = 0; i < attributes.length; ++i)
{
	attribute = attributes[i];
%>
<font class="strongtext"><%=attribute.getName()%>:</font><br>
<input type="hidden" name="attrName" value="<%= attribute.getAttributeReferenceNumber() %>" >	
<SELECT NAME="attrValue" >
<!-- Display product attribute values !-->
<%
	Object values[] = attribute.getDistinctAttributeValues();
	for (int j = 0; j < values.length; j++)
	{
%>
<option><%=values[j]%></option>
<%
	}
%>
</select><br>
<%
}
%>

</form></td>

	</tr>
	<tr>
	<td>
	</td>
	<td align="left" valign="top" class="categoryspace">
		<table cellpadding="3" cellspacing="0" border="0">
			<tr>
				  <td align="center" valign="middle"> <A href="javascript:document.OrderItemAddForm.submit()">
					<font class="strongtext">Add to shopping cart</font></a>
				  </td>
			</tr>
		</table>
	</td>
</tr>
</table>
</body>
</html>


