<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.common.objects.*" %>

<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<% // END code from Get Resource JSP page.**************************************************************** %>

<%
String catalogId = request.getParameter("catalogId");
String storeId = request.getParameter("storeId");
String languageId = request.getParameter("langId");
%>
<jsp:useBean id="catalog" class="com.ibm.commerce.catalog.beans.CatalogDataBean" scope="page">
<% 
catalog.setCatalogId(catalogId);
com.ibm.commerce.beans.DataBeanManager.activate(catalog, request); 
%>
</jsp:useBean>
<%
CategoryDataBean topCategories[] = catalog.getTopCategories();
CategoryDataBean category;
%>

<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<head><title>Metropolitan Mall 6ixth Avenue</title><link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br>
<table cellpadding="5" cellspacing="0" width="600" border="0" align="center">
  <tr> 
    <%
String promo_category = null;
for (int i = 0; i < topCategories.length; ++i)
{
	category = topCategories[i];
	if (category.getIdentifier().trim().equals("HOMEPAGE_PROMO")) {
		promo_category = category.getCategoryId();
	} 
	else { 
%>
    <td width="207" valign="top" align="middle"> <a href="CategoryDisplay?catalogId=<%=catalogId%>&storeId=<%=storeId%>&categoryId=<%=category.getCategoryId()%>&langId=<%=languageId%>&top=Y"><img src="<%=storeDir%>/<%=category.getDescription().getThumbNail()%>" alt="<%=category.getDescription().getShortDescription()%>" width="190" height="81" border="0"></a><br>
    </td>
    <%
	}
}
%>
  </tr>
  <tr> 
    <td align="center" valign="bottom" colspan="3"> <img src="<%=storeDir%>/<%=locale.toString()%>/images/bar.gif" alt="Check out this month's best-selling products:" width="550" height="25"> 
    </td>
  </tr>
  <tr> 
    <!--START PROMO -->
    <%
if (promo_category != null ) {
	CategoryDataBean subCategories[];
	%>
    <jsp:useBean id="parentCategory" class="com.ibm.commerce.catalog.beans.CategoryDataBean" scope="page"> 
    <% 
parentCategory.setCategoryId(promo_category);
parentCategory.setCatalogId(catalogId);
com.ibm.commerce.beans.DataBeanManager.activate(parentCategory, request); 
%>
    </jsp:useBean>
    <%
	subCategories= parentCategory.getSubCategories();
	ProductDataBean promo_products[] = parentCategory.getProducts();
	ProductDataBean promo_product;
	for (int k = 0; k < promo_products.length; ++k) {
		promo_product = promo_products[k];
%>
    <td align="middle" valign="top" width="200"> <a href="ProductDisplay?catalogId=<%=catalogId%>&storeId=<%= storeId%>&productId=<%= promo_product.getProductID()%>&langId=<%=languageId%>&parent_category_rn=<%=promo_category%>"><img src="<%=storeDir%>/<%= promo_product.getDescription().getFullImage() %>" alt="<%= promo_product.getDescription().getShortDescription()%>" width="150" height="150" border="0"></a><br>
      <font class="text"><%= promo_product.getDescription().getLongDescription()%>&nbsp;<a href="ProductDisplay?catalogId=<%=catalogId%>&storeId=<%= storeId%>&productId=<%= promo_product.getProductID()%>&langId=<%=languageId%>&parent_category_rn=<%=promo_category%>"> 
      Details</a></font></td>
    <%
	}
}
%>
    <!--END PROMO -->
</table>
<center>
  <table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="50%" >
	<tr>
      <td ALIGN=CENTER COLSPAN="10"> 
        <hr width=300>
        <p><font class="text">New Users: Please <b><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar">register</a></b> 
          with us, by clicking on the register icon at the top of the page.</font>
      </td>
	</tr>
	<tr>
		<td>
			<hr width=300>
			<center>
			  <font class="text">
				<p>The Metropolitan Mall is provided only to demonstrate the features of
				WebSphere Commerce Suite. Any orders that you place with the mall will
				not result in actual shipments or billing.
				<p>&nbsp;IBM does not guarantee or imply reliability, serviceability or function 
				of the sample mall. All programs contained herein are provided to 
				you "AS IS." <br> (C) Copyright IBM Corp. 1997, 1999 All Rights Reserved. 
			  </font>
			</center>
		</td>
	</tr>
</table>
</center>
</body></html>


