<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>


<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.usermanagement.commands.ECUserConstants" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

<!-- Data from getResourcePage.jsp -------------------------------------------------------------->
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<!-- Data from getResourcePage.jsp -------------------------------------------------------------->

<%
//Get the user reference number.
CommandContext commandContext = (CommandContext)request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Long userRef = commandContext.getUserId();

String catalogId = request.getParameter("catalogId");
String storeId = request.getParameter("storeId");
String languageId = request.getParameter("langId");

//Parameters may be encrypted.
if (catalogId == null)
	catalogId = ((String[]) request.getAttribute("catalogId"))[0];
if (storeId == null)
	storeId = ((String[]) request.getAttribute("storeId"))[0];
if (languageId == null)
	languageId = ((String[]) request.getAttribute("langId"))[0];

//Find all the addresses.
AddressAccessBean abAddressFinder = new AddressAccessBean();
Enumeration enAddressList = 
	abAddressFinder.findByMemberId(userRef);
%>

<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<head><title>Address Book</title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>
  <!--MAIN CONTENT STARTS HERE-->
  <table cellpadding="2" cellspacing="0" width="580" border="0" align="center">
    <tr> 
      <td width="10" rowspan="10">&nbsp;</td>
      <td align="left" valign="top" colspan="3" class="categoryspace"> 
        <div align="center"><b><font face="Verdana, Arial, Helvetica, sans-serif" size="4"><br>Address Book </font></b></div>
        <hr width="580" noshade align="left">
        <font face="Verdana, Arial, Helvetica, sans-serif" size="2">
			These addresses can be used for both shipping and billing during checkout
		</font><br><br>
        <table cellpadding="4" cellspacing="0" border="0" align="center" width="139">
          <tr> 
            <td align="center" valign="middle" nowrap> 
				<A href="AddressForm?storeId=<%=storeId%>&catalogId=<%=catalogId%>&langId=<%=languageId%>"> 
              		<font face="Verdana, Arial, Helvetica, sans-serif" size="2"><b>Add a new address</b></font>
				</a>
			</td>
          </tr>
        </table>
	   <br>
      </td>
    </tr>
        <%
AddressAccessBean addr;

while (enAddressList.hasMoreElements())
{
	addr = (AddressAccessBean) enAddressList.nextElement();
	String strEmail = addr.getEmail1();
	if (strEmail == null )
		strEmail = "";
	// exclude the primary data in address table for the registered user
	// for the primary data, Address1 is equal to "-"
	if (addr.getAddress1()!=null && !(addr.getAddress1()).equals("-"))	
	{
	String strFirstName = addr.getFirstName();
	String strLastName = addr.getLastName();
	String strAddress1 = addr.getAddress1();
	String strAddress2 = addr.getAddress2();
	String strCity = addr.getCity();
	String strState = addr.getState();
	String strCountry = addr.getCountry();
	String strZipCode = addr.getZipCode();
	String strPhone1= addr.getPhone1();
	
	if (strFirstName == null) strFirstName = "";
	if (strAddress2 == null) strAddress2 = "";
	if (strState == null) strState = "";
	if (strPhone1 == null) strPhone1 = "";
%>
    <tr> 
      <td align="left" valign="top" width="280" class="topspace"> 
	  <font class="product"><%=strFirstName%> <%=strLastName%></font><br>
	  <font class="address"> <%=strAddress1%>&nbsp;<%=strAddress2%><br>
	  <%=strCity%>&nbsp;<%=strState%>&nbsp;<%=strZipCode%> <BR>
	  <%=strCountry%>&nbsp;<BR>
      <%=strPhone1%></font> <br>
	  <table cellpadding="2" cellspacing="6" border="0">
		<tr> 
		  <td align="center" valign="middle"> 
		  	<A href="AddressForm?storeId=<%=storeId%>&catalogId=<%=catalogId%>&langId=<%=languageId%>&<%= ECUserConstants.EC_ADDR_ADDRESSID %>=<%=addr.getAddressId()%>">
			  <font face="Verdana, Arial, Helvetica, sans-serif" size="3"><b>Edit</b></font>
			</a>
		  </td>
		  <td align="center" valign="middle"> 
		  	<A href="AddressDelete?storeId=<%=storeId%>&catalogId=<%=catalogId%>&langId=<%=languageId%>&<%= ECUserConstants.EC_ADDR_ADDRESSID %>=<%=addr.getAddressId()%>&URL=AddressBookForm">
			  <font face="Verdana, Arial, Helvetica, sans-serif" size="3"><b>Delete</b></font>
			</a>
		  </td>
		</tr>
	  </table>
	  <hr width="260" align="center">
      <br>
      </td> 
    </tr> 
	
<%
	}
}
%>
  </table>
</body>
</html>