<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.usermanagement.commands.ECUserConstants" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}

ResourceBundle infashiontext = (ResourceBundle) request.getAttribute("ResourceText");
		  		   
if (infashiontext == null)
{
	
	infashiontext = ResourceBundle.getBundle(storeDir + "/infashiontext", locale ); 
	request.setAttribute("ResourceText", infashiontext);
}
%>
<% // END code from Get Resource JSP page.**************************************************************** %>
<%

String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");
String orderRn = request.getParameter("orderId");

// the following is required only when the NVPs are encrypted 

if (storeId == null)
{
	String [] arrstoreId = (String []) request.getAttribute("storeId");
	if (arrstoreId != null) storeId = arrstoreId[0];
}
if (languageId == null)
{
	String [] arrlanguageId = (String []) request.getAttribute("langId");
	if (arrlanguageId != null) languageId = arrlanguageId[0];
}
if (catalogId == null)
{
	String [] arrcatalogId = (String []) request.getAttribute("catalogId");
	if (arrcatalogId != null) catalogId = arrcatalogId[0];
}
if (orderRn == null)
{
	String [] arrorderRn = (String []) request.getAttribute("orderId");
	if (arrorderRn != null) orderRn = arrorderRn[0];
}

//Get the user reference number.
CommandContext commandContext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Long userRef = commandContext.getUserId();

//Find all the addresses.
AddressAccessBean abAddressFinder = new AddressAccessBean();
Enumeration enAddressList = abAddressFinder.findByMemberId(userRef);

boolean hasAddress = false;
AddressAccessBean check_addr;
while (enAddressList.hasMoreElements())
{
	check_addr = (AddressAccessBean) enAddressList.nextElement();
	String strEmail = check_addr.getEmail1();
	if (strEmail == null )
		strEmail = "";
	// the primary address is not considered as the data for the address book
	// for the primary address, Email is equal to Nickname
	if (check_addr.getAddress1()!=null && !(check_addr.getAddress1()).equals("-"))
	{	
		hasAddress = true;
	}
}
enAddressList = abAddressFinder.findByMemberId(userRef);

%>
<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<SCRIPT language="javascript">
function prepareSubmit(form)
{
	var currenttime = new Date();
   var timestamp = currenttime.getTime();
	form.nickName.value = '<%=userRef%>_'+timestamp;
	form.submit();
}
</SCRIPT>

<head><title>Select Billing Address</title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>  
<center>
<table cellpadding="0" cellspacing="0" border="0" align="center" width="600">
  <tr> 
    <td align="left" valign="top" colspan="3">
    <table cellpadding="0" cellspacing="0" border="0" width="580">
      <tr> 
        <td align="left" valign="top"> 
          <jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page"> 
          <% 
orderBean.setOrderId(orderRn);
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request); 
%>
          </jsp:useBean>
          <%
OrderItemAccessBean [] orderItemAccessBean = orderBean.getOrderItems();
String orderItemIsNull= infashiontext.getString("ORDER_ITEM_IS_NULL") + orderRn + infashiontext.getString("ORDER_ITEM_IS_NULL2") + "<br>";
if(orderItemAccessBean == null) {
		out.println(orderItemIsNull);
}

if (hasAddress)	{
%>
          <font class="category">Checkout</font> 
          <br>
          <font class="productname">Choose a billing address</font>
<%
} 
else 
{
%>
        <font class="category">Checkout</font> 
        <br>
        <font class="productname">Add a billing address</font>
<%
}
%>
			</td>
		</tr>
    </table>
	</td>
	</tr>
    <hr width="580" noshade align="left">
	<tr>
     <td align="left" valign="top" colspan="3"> 
        <%
if (hasAddress)	{
%>
        <table cellpadding="4" cellspacing="0" border="0">
		  <tr> 
			<td align="center" valign="middle"> 
				<A href="AddressForm?catalogId=<%=catalogId%>&orderId=<%=orderRn%>&page=billingaddress&storeId=<%= storeId %>&langId=<%=languageId%>">
					<font class="strongtext">Add new address</font>
				</a>
			</td>
		  </tr>
		</table>
	  <Form NAME="BillAddressForm" METHOD="POST" action="<%="OrderCopy"%>">
		<input type=hidden name="orderId" value="<%= orderRn %>">
		<input type=hidden name="storeId" value="<%= storeId %>">
		<input type=hidden name="langId" value="<%= languageId %>">
		<input type=hidden name="catalogId" value="<%= catalogId %>">
		<input type=hidden name="toOrderId" value="<%= orderRn %>">
		<input type=hidden name="page" value="shipaddress">
		<input type=hidden name="URL" value="OrderItemDisplay">
		<%
}
//Get the billing address from the order
String billingaddressId = orderBean.getAddressId().trim();
boolean billaddr_applied = false;
AddressAccessBean addr;
String selection = "";


Vector vecBillingAddress = new Vector();
	
while (enAddressList.hasMoreElements())
{
	addr = (AddressAccessBean) enAddressList.nextElement();
	
	// exclude the primary data in address table for the registered user
	// for the primary data, Address1 is equal to -
	if (addr.getAddress1()!=null && !addr.getAddress1().equals("-"))
		  vecBillingAddress.addElement(addr);
}

for (int k = 0; k < vecBillingAddress.size(); k ++) 
{
	addr = (AddressAccessBean) vecBillingAddress.elementAt(k);
	String strFirstName = addr.getFirstName();
	String strLastName = addr.getLastName();
	String strAddress1 = addr.getAddress1();
	String strAddress2 = addr.getAddress2();
	String strCity = addr.getCity();
	String strState = addr.getState();
	String strCountry = addr.getCountry();
	String strZipCode = addr.getZipCode();
	String strPhone1= addr.getPhone1();
	
	if (strFirstName == null) strFirstName = "";
	if (strAddress2 == null) strAddress2 = "";
	if (strState == null) strState = "";
	if (strPhone1 == null) strPhone1 = "";

	//Automatically select the billing address last selected for
	//this order.
	if (addr.getAddressId().equals(billingaddressId))
	{
		selection = "checked";
		billaddr_applied = true;
	}
	else 
	{
		selection = "";
	}

	//If this is the last address and billing address wasn't selected
	//before, select the last address as default.
	if ((k == (vecBillingAddress.size()-1)) && billaddr_applied == false)
	{
		selection = "checked";
	}
%>
    <tr> 
		  <td valign="top"> 
			<INPUT TYPE='Radio' NAME='billingAddressId' VALUE=<%= addr.getAddressId()%> <%=selection%>>
		  </td>
		<td valign="top" width="280"> 
			<font class="product"> <%=strFirstName%> <%=strLastName%></font><br>
			<font class="address"> <%=strAddress1%>&nbsp;<%=strAddress2%><br>
			<%=strCity%>&nbsp;<%=strState%>&nbsp;<%=strZipCode%><BR>
			<%=strCountry%>&nbsp;<BR>
			<%=strPhone1%></font><br>
		  <hr width="260">
		</td>
    </tr>
    <%
}
if (hasAddress) {
%>
    <tr> 
      <td align="left" valign="top" colspan="2" class="topspace"> <br>
        <table cellpadding="4" cellspacing="0" border="0">
          <tr> 
            <td align="center" valign="middle"> 
				<a href="OrderItemDisplay?storeId=<%=storeId%>&langId=<%=languageId%>&catalogId=<%=catalogId%>" > 
              		<font class="strongtext">Previous</font>
				</a>
			</td>
            <td width="2"><font class="strongtext">&nbsp;</font></td>
            <td align="center" valign="middle"> 
				<a href="javascript:document.BillAddressForm.submit()"> 
              		<font class="strongtext">Next</font>
				</a>
			</td>
          </tr>
        </table>
  </form>
  <%
}
if (! hasAddress) {
	String strErrorMessage = null;
	String strErrorCode = "";
	
	String strAdrRefNumber;
	String strNickName;
	String strAddressType;
	String strPrimary;
	String strLastName;
	String strFirstName;
	String strAddrLn1;
	String strAddrLn2;
	String strCity;
	String strState;
	String strZipCode;
	String strCountry;
	String strDayPhone;
%>
  <jsp:useBean id="bnError" class="com.ibm.commerce.beans.ErrorDataBean" scope="page"> 
  <% com.ibm.commerce.beans.DataBeanManager.activate(bnError, request); %>
  </jsp:useBean>
  <%
	TypedProperty hshErrorProperties = bnError.getExceptionData();

	if (hshErrorProperties != null)
	{
		//There is an error in the submitted address.
		strErrorCode = hshErrorProperties.getString(ECConstants.EC_ERROR_CODE, "");
		if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_NICKNAME))
			strErrorMessage = infashiontext.getString("ERROR_MESSAGE50");
		if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_NICKNAME_EXISTS))
			strErrorMessage = infashiontext.getString("ERROR_MESSAGE51");
		if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_LASTNAME))
			strErrorMessage = infashiontext.getString("ERROR_MESSAGE52");
		if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_ADDRESS1))
			strErrorMessage = infashiontext.getString("ERROR_MESSAGE53");
		if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_CITY))
			strErrorMessage = infashiontext.getString("ERROR_MESSAGE54");
		if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_STATE))
			strErrorMessage = infashiontext.getString("ERROR_MESSAGE55");
		if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_COUNTRY))
			strErrorMessage = infashiontext.getString("ERROR_MESSAGE56");
		if (strErrorCode.equals(ECUserConstants.EC_ADDR_ERR_BAD_ZIPCODE))
			strErrorMessage = infashiontext.getString("ERROR_MESSAGE57");

		//In case of error we get the entered data from the URL parameters.
		strAdrRefNumber = request.getParameter(ECUserConstants.EC_ADDR_ADDRESSID);
		strNickName = request.getParameter(ECUserConstants.EC_ADDR_NICKNAME);  
		strAddressType = request.getParameter(ECUserConstants.EC_ADDR_ADDRESSTYPE);
		strPrimary = request.getParameter(ECUserConstants.EC_ADDR_PRIMARY);
		strLastName = request.getParameter(ECUserConstants.EC_ADDR_LASTNAME);
		strFirstName = request.getParameter(ECUserConstants.EC_ADDR_FIRSTNAME);
		strAddrLn1 = request.getParameter(ECUserConstants.EC_ADDR_ADDRESS1);
		strAddrLn2 = request.getParameter(ECUserConstants.EC_ADDR_ADDRESS2);
		strCity = request.getParameter(ECUserConstants.EC_ADDR_CITY);
		strState = request.getParameter(ECUserConstants.EC_ADDR_STATE);
		strZipCode = request.getParameter(ECUserConstants.EC_ADDR_ZIPCODE);
		strCountry = request.getParameter(ECUserConstants.EC_ADDR_COUNTRY);
		strDayPhone = request.getParameter(ECUserConstants.EC_ADDR_PHONE1);

		
	}
	else
	{
		strAdrRefNumber = "";
		strNickName = "";
		strAddressType = "";
		strPrimary = "";
		strLastName = "";
		strFirstName = "";
		strAddrLn1 = "";
		strAddrLn2 = "";
		strCity = "";
		strState = "";
		strZipCode = "";
		strCountry = "";
		strDayPhone = "";
	
	}

%>
  <font class="text">Fields marked with a</font><font class="required">*</font><font class="text">are required</font> 
  <FORM name="AddressForm" method="GET" action="<%="AddBillAddressView"%>">
    <%
if (strErrorMessage != null)
{
	//We have an error message.
%>
    <p><font color="red"><%=strErrorMessage%></font><br>
<%
}
%>
      <INPUT TYPE="hidden" NAME="storeId" VALUE="<%= storeId %>">
      <INPUT TYPE="hidden" NAME="langId" VALUE="<%=languageId%>">
      <INPUT TYPE="hidden" NAME="catalogId" VALUE="<%=catalogId%>">
      <INPUT TYPE="hidden" NAME="URL" VALUE="OrderItemDisplay">
      <INPUT TYPE="hidden" NAME="page" VALUE="newshipaddress">
      <INPUT TYPE="hidden" NAME="<%= ECUserConstants.EC_ADDR_NICKNAME %>" VALUE="">
      <INPUT TYPE="hidden" NAME="<%= ECUserConstants.EC_ADDR_ADDRESSTYPE %>" VALUE="<%= ECUserConstants.EC_ADDR_RESIDENTIAL %>">
      <INPUT TYPE="hidden" NAME="<%= ECUserConstants.EC_ADDR_PRIMARY%>" VALUE="<%= ECUserConstants.EC_ADDR_PRIMARY_NO %>" >
      <INPUT TYPE="hidden" NAME="orderId" VALUE="<%=orderRn%>">
    <table cellpadding="3" cellspacing="0" border="0">
      <tr> 
        <td align="right"> 
			<font class="required">*</font><font class="strongtext">First Name</font>
		</td>
        <td align="left" colspan="3"> 
          	<input size="38" maxlength="128" type="text" name="<%= ECUserConstants.EC_ADDR_FIRSTNAME %>" VALUE="<%= strFirstName %>">
        </td>
      </tr>
      <tr> 
        <td align="right"> 
			<font class="required">*</font><font class="strongtext">Last Name</font>
		</td>
        <td align="left" colspan="3"> 
          <input size="38" maxlength="128" type="text" name="<%= ECUserConstants.EC_ADDR_LASTNAME %>" value="<%= strLastName %>">
        </td>
      </tr>
      <tr> 
        <td align="right"> 
			<font class="required">*</font><font class="strongtext">Street Address</font>
		</td>
        <td align="left" colspan="3"> 
          <input size="38" maxlength="50" type="text" name="<%= ECUserConstants.EC_ADDR_ADDRESS1 %>" VALUE="<%= strAddrLn1 %>" >
        </td>
      </tr>
      <tr> 
        <td align="left">&nbsp;</td>
        <td align="left" colspan="3"> 
          <input size="38" maxlength="50" type="text" NAME="<%= ECUserConstants.EC_ADDR_ADDRESS2 %>" VALUE="<%= strAddrLn2 %>">
        </td>
      </tr>
      <tr> 
        <td align="right"> 
			<font class="required">*</font><font class="strongtext">City</font>
		</td>
        <td align="left" colspan="3"> 
          <input size="38" maxlength="50" type="text" NAME="<%= ECUserConstants.EC_ADDR_CITY %>" VALUE="<%= strCity %>">
        </td>
      </tr>
      <tr> 
        <td align="right"> 
			<font class="required">*</font><font class="strongtext">State/Province</font>
		</td>
        <td align="left"> 
          	<input TYPE="text" maxlength="128" size="15" NAME="<%= ECUserConstants.EC_ADDR_STATE %>" VALUE="<%= strState %>">
        </td>
        <td align="right"> 
			<font class="required">*</font>
			<font class="strongtext">Zip Code</font>
		</td>
        <td align="left"> 
          <input size="8" maxlength="40" NAME="<%= ECUserConstants.EC_ADDR_ZIPCODE %>" VALUE="<%= strZipCode %>">
        </td>
      </tr>
      <tr> 
        <td align="right"> 
			<font class="required">*</font><font class="strongtext">Country</font>
		</td>
        <td align="left"> 
          	<input TYPE="text" size="15" maxlength="128" NAME="<%= ECUserConstants.EC_ADDR_COUNTRY %>" VALUE="<%= strCountry %>">
        </td>
        <td align="right"> 
			<font class="strongtext">Phone Number</font> 
          	<font class="subtext">xxx-xxx-xxxx</font>
		</td>
        <td align="left"> 
          	<input size="12" maxlength="32" NAME="<%= ECUserConstants.EC_ADDR_PHONE1 %>" VALUE="<%= strDayPhone %>">
        </td>
      </tr>
      <tr> 
        <td align="left" valign="top"> <font class="text">&nbsp;</font></td>
        <td align="left" valign="top" class="categoryspace"> 
          <table cellpadding="4" cellspacing="0" border="0">
            <tr> 
			  	<td align="center" valign="middle"> 
					<a href="OrderItemDisplay?storeId=<%=storeId%>&langId=<%=languageId%>&catalogId=<%=catalogId%>" > 
						<font class="strongtext"> &lt;Back </font>
					</a>
				</td>
			  	<td width="2">
					<font class="strongtext">&nbsp;</font>
				</td>
              	<td align="left" valign="middle"> 
			  		<a href="javascript:prepareSubmit(document.AddressForm)">
						<font class="strongtext">Forward</font>
					</a>
				</td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </form>
  </table>
<%
}
%>
</center>
</body>
</html>

