<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.usermanagement.commands.ECUserConstants" %>
<%@ page import="com.ibm.commerce.security.commands.ECSecurityConstants" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}

%>
<% // END code from Get Resource JSP page.**************************************************************** %>

<%
String storeId = request.getParameter("storeId");
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
//Parameters may be encrypted.
if (catalogId == null)
	catalogId = ((String[]) request.getAttribute("catalogId"))[0];
if (storeId == null)
	storeId = ((String[]) request.getAttribute("storeId"))[0];
if (languageId == null)
	languageId = ((String[]) request.getAttribute("langId"))[0];
%>

<SCRIPT language="javascript">
function prepareSubmit(form)
{
	
	form.<%=ECUserConstants.EC_UREG_LOGONID%>.value =
		form.<%= ECUserConstants.EC_UREG_LOGONID%>.value.toLowerCase()
	
	form.submit()
}
</SCRIPT>
<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">
<head><title>Register or Login</title><link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<%
String strPageTitle     = "Logon";
String strErrorMessage  = null;
String strErrorCode     = null;
 
String[] strArrayAuth = (String [])request.getAttribute(ECConstants.EC_ERROR_CODE);

if (strArrayAuth != null){
      if( strArrayAuth[0].equalsIgnoreCase(ECSecurityConstants.ERR_MISSING_LOGONID) == true){
         strErrorMessage = "Type an e-mail address in the E-mail address field.";
      }else if(strArrayAuth[0].equalsIgnoreCase(ECSecurityConstants.ERR_INVALID_LOGONID) == true){
         strErrorMessage = "The e-mail address entered is invalid. Type another e-mail address in the E-mail address field and try again.";
      }else if(strArrayAuth[0].equalsIgnoreCase(ECSecurityConstants.ERR_MISSING_PASSWORD) == true){
         strErrorMessage = "Type a password in the Password field.";
      }else if(strArrayAuth[0].equalsIgnoreCase(ECSecurityConstants.ERR_INVALID_PASSWORD) == true){
         strErrorMessage = "The password entered is incorrect. Type your password in the Password field and try again.";
      }
}

/*
 * Register link behaves differently depending on if the user is logged
 * in. If the user is logged in (hence a registered user) clicking on
 * register will log the user off then display the registration form.
 * This will allow multiple registration using the same browser.
 * For guest shoppers clicking on Register link will simply display the
 * registration form.
 */
 
UserRegistrationDataBean regBean = new UserRegistrationDataBean();
com.ibm.commerce.beans.DataBeanManager.activate(regBean, request);
String userType = regBean.getRegisterType().trim();
String regURL = null;

if (userType.equals("G"))
{
	//This is a guest user. Simply display the registration form.
	regURL = "UserRegistrationForm";
}
else
{
	//This is a registered/logged in user. Log him off first.
	//Through LogoffView registration page will be displayed.
	regURL = "Logoff";
}
%>

<!--MAIN CONTENT STARTS HERE-->

<br><br>
<table cellpadding="2" cellspacing="0" width="580" border="0" align="center">
  <tr> 
    <td width="10" rowspan="10"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"></font></td>
    <td align="left" valign="top" colspan="3"> 
      <div align="center"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><b><font size="5">Register 
        or Login </font></b> </font></div>
      <hr width="565" noshade align="left">
    </td>
  </tr>
  <tr> 
    <td align="left" valign="top" width="280"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
      <b>New Customer </b></font></td>
    <td width="20" rowspan="5"><font face="Verdana, Arial, Helvetica, sans-serif" size="3">&nbsp;&nbsp;</font></td>
    <td align="left" valign="top" width="280"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
      <b>Returning Customer</b> </font></td>
  </tr>
  <tr> 
    <td align="left" valign="top" width="280" class="topspace"> 
      <p><font face="Verdana, Arial, Helvetica, sans-serif" size="3"> If you would 
        like to register, click the button below. Registering gives you 24 hr 
        shopping privileges, a personal address book, and advance notice of our 
        promotions </font></p>
      <table cellpadding="2" cellspacing="0" border="0">
        <tr> 
          <td align="left" valign="middle"> <font face="Verdana, Arial, Helvetica, sans-serif" size="3"><A href="<%=regURL%>?new=Y&langId=<%=languageId%>&catalogId=<%=catalogId%>&storeId=<%=storeId%>"> 
            Register</a> </font></td>
        </tr>
      </table>
    </td>
    <td align="left" valign="top" width="280" class="topspace"> <font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
      <%
if (strErrorMessage != null)
{
	//We have an error message.
%>
      </font> 
      <p><font color="red" face="Verdana, Arial, Helvetica, sans-serif" size="3"><%=strErrorMessage%></font><font face="Verdana, Arial, Helvetica, sans-serif" size="3"><br>
        <%
}
%>
        <!-- To avoid Studio link fixup problem set action as follows-->
        </font>
      <FORM METHOD="POST" NAME="Logon" ACTION="<%="Logon"%>">
        <font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
        <INPUT TYPE="hidden" NAME="storeId" VALUE="<%=storeId%>">
        <INPUT TYPE="hidden" NAME="catalogId" VALUE="<%=catalogId%>">
        <INPUT TYPE="hidden" NAME="langId" VALUE="<%=languageId%>">
        <INPUT TYPE="hidden" NAME="reLogonURL" VALUE="LogonForm">
        <INPUT TYPE="hidden" NAME="URL" VALUE="LogonForm?page=account">
        </font> 
        <table cellpadding="2" cellspacing="0" border="0">
          <tr> 
            <td align="left" valign="middle"> 
              <div align="left"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
                E-mail address:</font></div>
            </td>
            <td align="left" valign="top"> <font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
              <input size="20" name="logonId">
              </font></td>
          </tr>
          <tr> 
            <td align="left" valign="middle"> 
              <div align="left"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
                Password:</font></div>
            </td>
            <td align="left" valign="top"><font face="Verdana, Arial, Helvetica, sans-serif" size="3"> 
              <input size="20" name="logonPassword" type="password">
              </font></td>
          </tr>
          <tr> 
            <td></td>
            <td align="left" valign="top"> 
              <table cellpadding="4" cellspacing="0" border="0">
                <tr> 
                  <td align="left" valign="middle"> <font face="Verdana, Arial, Helvetica, sans-serif" size="3"><A href="javascript:prepareSubmit(document.Logon)">LOGIN</A></font></td>
                </tr>
              </table>
              <table cellpadding="3" cellspacing="0" border="0">
                <tr> 
                  <td align="left" valign="middle">&nbsp; 
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </form>
  </tr>
</table>
</body>

</html>

