<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="java.lang.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.fulfillment.objects.*" %>
<%@ page import="com.ibm.commerce.fulfillment.beans.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>

  
<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}
%>
<% // END code from Get Resource JSP page.**************************************************************** %>

<%
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");
String orderRn = request.getParameter("orderId");


if (storeId == null)
{  
	String [] arrstoreId = (String []) request.getAttribute("storeId");
	if (arrstoreId != null) storeId = arrstoreId[0];
}
if (languageId == null)
{  
	String [] arrlanguageId = (String []) request.getAttribute("langId");
	if (arrlanguageId != null) languageId = arrlanguageId[0];
}
if (catalogId == null)
{  
	String [] arrcatalogId = (String []) request.getAttribute("catalogId");
	if (arrcatalogId != null) catalogId = arrcatalogId[0];
}
if (orderRn == null)
{  
	String [] arrorderRn = (String []) request.getAttribute("orderId");
	if (arrorderRn != null) orderRn = arrorderRn[0];
}

%>

<!DOCTYPE html PUBLIC "-//IETF//DTD HTML//EN">

<head><title>Select a shipping method</title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>

<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br><br>
<!--MAIN CONTENT STARTS HERE-->
<form NAME=ShipMethodPage  METHOD=GET action="<%="AddShipModeView"%>">
<input type=hidden name="storeId" value="<%=storeId%>">
<input type=hidden name="catalogId" value="<%=catalogId%>">
<input type=hidden name="langId" value="<%=languageId%>">
<input type=hidden name="orderId" value="<%=orderRn%>">
<input type=hidden name="status" value="P">
<input type=hidden name="URL" value="OrderDisplay">
  <table cellpadding="1" cellspacing="0" border="0" align="center">
    <tr>
		<td width="10" rowspan="15">&nbsp;</td>
		<td align="left" valign="top" colspan="4" class="categoryspace">
			<table cellpadding="0" cellspacing="0" border="0" width="580">
				<tr>
					<td align="left" valign="top">
						<font class="category">Checkout&nbsp;</font><br><font class="productname">Select a shipping method</font>
					</td>
					<td align="right" valign="bottom">
						Step 3 of 4
					</td>
				</tr>
			</table>
		<hr width="580" noshade align="left">
		</td>
	</tr>
	<tr>
		
      <td align="left" valign="middle" colspan="2"> <font class="product">&nbsp;Shipping 
        methods </font> </td>
		
      <td width="5"> <font class="text">&nbsp;&nbsp;</font> </td>
		
      <td align="left" valign="middle"> <font class="strongtext">Delivery time</font> 
      </td>
	</tr>

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
<% 
orderBean.setOrderId(orderRn);
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
%>
</jsp:useBean>

<!-- 
Display all available shipping modes. For every shipping mode we display 
the cost structure and approximate delivery time. To make it easy to
display those information we store them as description in
SHPMODEDSC table. If you change the shipping
charge in the database, make sure you also change the description in
SHPMODEDSC table so that shoppers can see the updated values in this page.

SHPMODEDSC.FIELD1 is used to store the cost structure description.
SHPMODEDSC.FIELD2 is used to store the approximate delivery time.
-->

<%
OrderItemAccessBean [] orderItemAccessBean = orderBean.getOrderItems();	
String shipmodeId = orderItemAccessBean[0].getShippingModeId().trim();
String selection = "";

ShippingDataBean ShippingDataBean = new ShippingDataBean();
Enumeration enum_sd = ShippingDataBean.findByStoreEntity(new Integer(storeId));
while (enum_sd.hasMoreElements())
{
	ShippingDataBean shipModeAB = ((ShippingDataBean) enum_sd.nextElement());
	String shipModeIdsetting = shipModeAB.getShippingModeId();
	ShippingModeDescriptionAccessBean shipmodeDsc = new ShippingModeDescriptionAccessBean();
	shipmodeDsc.setInitKey_shipModeId(shipModeIdsetting);
	shipmodeDsc.setInitKey_languageId(languageId);
	
	if ( shipmodeDsc.getShipModeId().equals(shipmodeId))
		selection = "checked";
	else 
		selection = "";
//Need to put shipping price in field1 and shipping time in field2 in shpmodedsc table
String shippingMethodName = shipmodeDsc.getDescription();
String shippingMethodCost = shipmodeDsc.getField1();
String shippingMethodTime = shipmodeDsc.getField2();
if (shippingMethodTime == null) shippingMethodTime = "";
if (shippingMethodCost == null) shippingMethodCost = "";
if (shippingMethodName == null) shippingMethodName = "";
%>
	<tr>
		<td align="left" valign="top">
			<input type="radio" name="shipModeId" value="<%= shipmodeDsc.getShipModeId()%>" <%=selection%>>
		</td>
		<td align="left" valign="top" width="280">
			<font class="strongtext"><b><%=shippingMethodName%>:</b></font>
			<font class="text"><%=shippingMethodCost%></font>
		</td>
		<td width="5">
			<font class="text">&nbsp;</font>
		</td>
		<td align="left" valign="top">
			<font class="text"><%=shippingMethodTime%></font>
		</td>
	</tr>
<%
	}
%>
	<tr>
		<td align="left" valign="top" colspan="4" class="topspace">
			<br>
			<table cellpadding="4" cellspacing="0" border="0">
				<tr>
					
            <td align="center" valign="middle"> <a href="OrderItemDisplay?page=shipaddress&storeId=<%=storeId%>&catalogId=<%=catalogId%>&langId=<%=languageId%>"> 
              <font class="strongtext">Last Step</font> </a> </td>
					<td width="2">
						<font class="strongtext">&nbsp;</font>
					</td>
					
            <td align="center" valign="middle"> <A href="javascript:document.ShipMethodPage.submit()"> 
              <font class="strongtext">Next Step</font> </a> </td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</form>
</body>
</html>




