<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%@ page language="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="javax.servlet.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>


<% //Begin code from Get Resource JSP page.**************************************************************** %>
<jsp:useBean id="sdb" class="com.ibm.commerce.common.beans.StoreDataBean" scope="request">
<% com.ibm.commerce.beans.DataBeanManager.activate(sdb, request); %>
</jsp:useBean>

<%
CommandContext cmdcontext = (CommandContext) request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Locale locale = cmdcontext.getLocale();

String storeDir = (String) request.getAttribute("storeDir");
String storeName = "";
if (storeDir == null)
{

	storeDir = sdb.getDirectory();
	storeName = sdb.getDescription(cmdcontext.getLanguageId()).getDisplayName();
	request.setAttribute("storeName", storeName);
	request.setAttribute("storeDir", storeDir);
}

ResourceBundle infashiontext = (ResourceBundle) request.getAttribute("ResourceText");
		  		   
if (infashiontext == null)
{
	
	infashiontext = ResourceBundle.getBundle(storeDir + "/infashiontext", locale ); 
	request.setAttribute("ResourceText", infashiontext);
}
%>
<% // END code from Get Resource JSP page.**************************************************************** %>

<%
String storeId = request.getParameter("storeId");
String catalogId = request.getParameter("catalogId");
String categoryId = request.getParameter("categoryId");
String languageId = request.getParameter("langId");

%>

<jsp:useBean id="category" class="com.ibm.commerce.catalog.beans.CategoryDataBean" scope="page">
<% 
category.setCategoryId(categoryId);
category.setCatalogId(catalogId);
com.ibm.commerce.beans.DataBeanManager.activate(category, request); 
%>
</jsp:useBean>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<head><title><%=category.getDescription().getName()%></title>
<link rel=stylesheet href="<%=storeDir%>/demomall.css" type="text/css">
</head>
<body text="#000000" link="#0000FF" vlink="#008484" alink="#FF0000" background="<%=storeDir%>/common_images/back6xth.jpg">
<center>
  <img SRC="<%=storeDir%>/common_images/header1a.gif" ALT="6ixth Avenue" height=126 width=573 align=BOTTOM> 
</center>
<center>
<!-- Navigation bar begins -->
  <table WIDTH="600" >
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <img SRC="<%=storeDir%>/common_images/met_home.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&page=sidebar"> 
          <img SRC="<%=storeDir%>/common_images/met_reg.gif" BORDER=0 > 
          </a> </div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." style="color: #CCCC99"> 
          <img SRC="<%=storeDir%>/common_images/met_cart.gif" BORDER=0 > 
          </a> </div>
      </td>
    </tr>
    <tr> 
      <td width="33%"> 
        <div align="center"><a href="StoreCatalogDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Home and Store Catalog</font></a><br>
          <font class="text">See the store catalog on this page</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="LogonForm?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>"> 
          <font class="product">Login/Register</font></a> <br>
          <font class="text">Mange your addressbook and personal information here</font></div>
      </td>
      <td width="33%"> 
        <div align="center"><a href="OrderItemDisplay?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=."> 
          <font class="product">Your Cart</font></a><br>
          <font class="text">View your shopping cart and buy products!</font></div>
      </td>
    </tr>
  </table>
</center>
<!-- Navigation bar ends -->
<br>
<!--MAIN CONTENT STARTS HERE-->

<table cellpadding="2" cellspacing="0" width="580" border="0" align="center">
  <tr>
	<td width="10" rowspan="10">&nbsp;</td>
	<td align="left" valign="top" colspan="3" class="categoryspace">
		<font class="category"><%=category.getDescription().getShortDescription()%></font>
		<hr width="580" noshade align="left">
	</td>
  </tr>
  <tr>
	<td align="left" valign="top" width="230">
	  <table cellpadding="0" cellspacing="3" border="0">

<%
CategoryDataBean subcats[], cat;
subcats = category.getSubCategories();

for (int i = 0; i < subcats.length; ++i)
{
	cat = subcats[i];
%>
		<tr>
		  <td nowrap align="left" valign="top">
			<a href="CategoryDisplay?catalogId=<%=catalogId%>&storeId=<%=storeId%>&categoryId=<%=cat.getCategoryId()%>&langId=<%=languageId%>&parent_category_rn=<%=categoryId%>">
			 <font class="product"><%=cat.getDescription().getName()%></font>
			</a>
		  </td>
		</tr>
<%
}
%>
	</table>
  </td>
  <td width="20">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
  <td align="left" valign="top" width="330">
<!--START SPECIAL-->

<%
	ProductDataBean featured_products[] = category.getProducts();
	if ( featured_products.length != 0) {
		ProductDataBean featured_product = featured_products[0];	
%>
		<table cellpadding="3" cellspacing="0" border="0" width="330">
		  <tr>
			<td align="left" valign="top" colspan="2"> <font class="product">FEATURED SPECIAL!</font>
			</td>
		  </tr>
		  <tr>
			<td align="left" valign="top" class="left">
			  <a href="ProductDisplay?catalogId=<%=catalogId%>&storeId=<%= storeId%>&productId=<%= featured_product.getProductID()%>&langId=<%=languageId%>&parent_category_rn=<%=categoryId%>">
			   <img src="<%=storeDir%>/<%= featured_product.getDescription().getFullImage() %>" alt="<%= featured_product.getDescription().getShortDescription()%>" width="150" height="150" border="0" align="left" hspace="10">
			  </a>
			</td>
			<td align="left" valign="middle" width="190">
			  <a href="ProductDisplay?catalogId=<%=catalogId%>&storeId=<%= storeId%>&productId=<%= featured_product.getProductID()%>&langId=<%=languageId%>&parent_category_rn=<%=categoryId%>">
			  <font class="text"><%= featured_product.getDescription().getShortDescription()%></font></a><p>
			  <font class="text"><%= featured_product.getDescription().getLongDescription()%></font>
			</td>
		  </tr>
	    </table>
<%
}
%>
<!--END SPECIAL-->
	  </td>
	</tr>
  </table>
</body>
</html>


